DHCPCLIENT(1)

NAME
dhcpclient - Send a DHCP request with provided RADIUS attributes and get the output response.

SYNOPSIS
dhcpclient [-d raddb_directory] [-D dictionary_directory] [-f file] [-h] [-i interface] [-t timeout] [-v] [-x] server[:port] {discover|request|decline|release|inform|auto}

DESCRIPTION
dhcpclient is a DHCP test client program. It can send arbitrary DHCP packets to the FreeRADIUS server running as DHCP server, then shows the reply. It can be used to test changes you made in the configuration of the radius server, or it can be used to monitor if a radius server is up.

dhcpclient reads radius attribute/value pairs from its standard input, or from a file specified on the command line. It then encodes these attribute/value pairs using the dictionary, and sends them to the local/remote server.

OPTIONS

-d raddb_directory
    The directory that contains the user dictionary file. Defaults to /usr/pkg/share/examples/freeradius.

-D dictionary_directory
    The directory that contains the main dictionary file. Defaults to /usr/share/freeradius.

-f file[:file]
    File to read the attribute/value pairs from. If this is not specified, they are read from stdin. This option can be specified multiple times, in which case packets are sent in order by file, and within each file, by first packet to last packet. A blank line separates logical packets within a file.

-h  Print usage help information.

-i interface
    Select which interface to send/receive at packet level on a raw socket.

-t timeout
    Wait timeout seconds before deciding that the NAS has not responded to a request, and re-sending the packet. This may be a floating point number, e.g. 2.2.

-v  Print out program version information.

-x  Print out debugging information.

server[:port]
    The hostname or IP address of the remote server. Optionally a UDP port can be specified. If no UDP port is specified, it is looked up in /etc/services. The service name looked for is radacct for accounting packets, and radius for all other requests. If a service is not found in /etc/services, 1813 and 1812 are used respectively.

discover | request | decline | release | inform | auto
    DHCP options - use the type relevant for testing

SEE ALSO
radiusd(8)

AUTHORS
Alan DeKok <aland@freeradius.org>